<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>
</head>
<body>
    <div >
        <form action="" method="post" id="fileForm" role="form">
            <fieldset>
                <legend class="text-center">Valid information is required to register. <small> required *</small></legend>
                <div>&nbsp</div>
                <div>
                    <label for="firstname">*  First name:  </label>
                     <input type="text" name="firstname" id="txt" onkeyup="ValidateTxt(this)" required />
                </div>
                <div>&nbsp</div>    
                <div>
                    <label for="lastname">* Last name:  </label>
                    <input type="text" name="lastname" id="txt" onkeyup="ValidateTxt(this)" required />
                </div>
                <div>&nbsp</div>
                <div>
                    <label for="address">*  Street Address:  </label>
                     <input type="text" name="address" id="txt" onkeyup="add_validate(this)" required />
                     <span id="statusAdd"></span>
                </div>
                 <div>&nbsp</div>    
                <div>
                    <label for="city">* City:  </label>
                    <input type="text" name="city" id="txt" onkeyup="ValidateTxt(this)" required />
                </div>
                <div>&nbsp</div>    
                <div>
                    <label for="state">* State:  </label>
                    <input type="text" name="state" id="txt" onkeyup="ValidateTxt(this)" required />
                </div>
                <div>&nbsp</div> 
                <div>
                    <label for="username">* Username:  </label>
                    <input type="text" name="username" id="txt" minlength="5" maxlength="12" onkeyup="Validate(this)" placeholder="5-12 characters " required />
                    <span id="messageUserName"></span>
                </div>
                <div>&nbsp</div>
                <div>
                    <label for="password">* Password:  </label>
                    <input required name="password" type="password"  minlength="4" maxlength="16" id="pass1"  
                    onkeyup="validatePassword()"/> 

                    <span id="passwordStrength"></span>
                    
                </div>
                <div>&nbsp</div>
                <div>
                    <label for="password">* Password Confirm:  </label>
                    <input required name="password" type="password" minlength="4" maxlength="16" id="pass2" onkeyup="checkPass(); return false;" />
                    <span id="confirmMessage"></span>
                </div>
                <div>&nbsp</div>
                <div>
                    <label for="phonenumber">* Phone Number:  </label>
                    <input required type="text" name="phonenumber" id="phone"  maxlength="28" onkeyup="validatephone(this)" />
                    <span id="messagePhone"></span>
                </div>
                <div>&nbsp</div>
                <div>
                    <label for="zip">* US Postal Codes:  </label>
                    <input type="text" name="zip" size="12" id ="zip" maxlength="10" onkeyup="validateZip(this)"/>
                    <span id="messageZip"></span>
                </div>
                <div>&nbsp</div>
                <div>
                    <label for="email">* Email Address:  </label>
                    <input required type="text" name="email" id="email1" onkeyup="email_validate(this);" />
                    <span id="messageEmail"></span>
                </div>
                <div>&nbsp</div>
                 <div>
                    <label for="email">* Email Confirm:  </label>
                    <input required name="email" type="text" id="email2" onkeyup="checkEmail();" />
                    <span id="messageEmailSame"></span>
                </div>
                <div>&nbsp</div>
                 <div>
                    <label for="dob">* Date of birth </label>
                    <input required name="dob" type="text" id="dob" onkeyup="dob_validate(this)" />
                    <span id="messageDate"></span>
                </div>
                <div>&nbsp</div>
                    <hr>
                <div>
                    <input type="submit" name="submit_reg" value="Validate">
                </div>
            </fieldset>
        </form>
        <script type="text/javascript">

            var goodColor = "#66cc66";
            var badColor = "#ff6666";
    
            function checkPass() {
                //Store the password field objects into variables ...
                var pass1 = document.getElementById('pass1');
                var pass2 = document.getElementById('pass2');
                //Store the Confimation Message Object ...
                var message = document.getElementById('confirmMessage');
                        //Set the colors we will be using ...
                //Compare the values in the password field 
                //and the confirmation field
                if (pass1.value == pass2.value) {
                    pass2.style.backgroundColor = goodColor;
                    message.style.color = goodColor;
                    message.innerHTML = "Passwords Match";
                } else {
                    pass2.style.backgroundColor = badColor;
                    message.style.color = badColor;
                    message.innerHTML = "Passwords Do Not Match!";
                }
            }
            function ValidateTxt(txt) {
                txt.value = txt.value.replace(/[^a-zA-Z-'\n\r.]+/g,' ');
            }
            function validatePassword(){

                var pass1 = document.getElementById('pass1');
                var strongPass = new RegExp("^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#\$%\^&\*])(?=.{8,})");
                
                var message = document.getElementById('passwordStrength');
                if (strongPass.test(pass1.value)) {
                    message.style.color = goodColor;
                    message.innerHTML = "Valid Passwords";
                } else {
                    message.style.color = badColor;
                    message.innerHTML = "Passwords must contains 5-12 characters, ≥1 uppercase, ≥1 lowercase, ≥1 numeric, ≥ 1symbol";
                }
                checkPass();
            }
             function checkEmail() {
                //Store the password field objects into variables ...
                var email1 = document.getElementById('email1');
                var email2 = document.getElementById('email2');
                //Store the Confimation Message Object ...
                var message = document.getElementById('messageEmailSame');
                        //Set the colors we will be using ...
                var goodColor = "#66cc66";
                var badColor = "#ff6666";
                //Compare the values in the password field 
                //and the confirmation field
                if (email1.value == email2.value) {
                    email2.style.backgroundColor = goodColor;
                    message.style.color = goodColor;
                    message.innerHTML = "Email Matches";
                } else {
                    email2.style.backgroundColor = badColor;
                    message.style.color = badColor;
                    message.innerHTML = "Email Does Not Match!";
                }
            }
            function validatephone(phone) {
                
                var formats = "(999)999-9999|999-999-9999|999 999 9999";
                var r = RegExp("^(" +
               formats
                 .replace(/([\(\)])/g, "\\$1")
                 .replace(/9/g,"\\d") +
               ")$");

               var message = document.getElementById('messagePhone');
               if(r.test(phone.value)){
                   message.style.color = goodColor;
                   message.innerHTML = "Valid";
               }else{
                    message.style.color = badColor;
                    message.innerHTML = "Incorrect phone format - require (XXX)XXX-XXXX or XXX-XXX-XXXX or XXX XXX XXXX"
               }
            }
            function validateZip(zip) {
                
                var formats = "99999-9999|99999";
                var r = RegExp("^(" +
               formats
                 .replace(/([\(\)])/g, "\\$1")
                 .replace(/9/g,"\\d") +
               ")$");

               var message = document.getElementById('messageZip');
               if(r.test(zip.value)){
                   message.style.color = goodColor;
                   message.innerHTML = "Correct Zip format";
               }else{
                   message.style.color = badColor;
                   message.innerHTML = "Incorrect Zip code - require XXXXX or XXXXX-XXXX"
               }
            }
            function Validate(txt) {

                var message = document.getElementById('messageUserName');
                if(txt.value.length >= 5){
                    message.style.color = goodColor;
                    message.innerHTML = "Valid";
                }else{
                    message.style.color = badColor;
                    message.innerHTML = "Username must be 5-12 characters long"
                }
            }
            function email_validate(email) {
                var regMail = /^([_a-zA-Z0-9-]+)(\.[_a-zA-Z0-9-]+)*@([a-zA-Z0-9-]+\.)+([a-zA-Z]{2,3})$/;
                var message = document.getElementById('messageEmail');
                if (regMail.test(email.value) == false) {
                    message.style.color = badColor;
                    document.getElementById("messageEmail").innerHTML = "Email address is invalid.";
                }
                else {
                    message.style.color = goodColor;
                    document.getElementById("messageEmail").innerHTML = "Thanks, you have entered a valid Email address!";
                }
            }
            function dob_validate(dob) {
                var regDOB = /^(\d{1,2})[-\/](\d{1,2})[-\/](\d{4})$/;
                var message = document.getElementById('messageDate');
                if (regDOB.test(dob.value) == false) {
                    message.style.color = badColor;
                    document.getElementById("messageDate").innerHTML = "DOB is formed of MM/DD/YYYY or MM-DD-YYYY";
                }
                else {
                    message.style.color = goodColor;
                    document.getElementById("messageDate").innerHTML = "Valid";
                }
            }
            function add_validate(address) {
                var message = document.getElementById('statusAdd');
                if(address.value.length >= 5){
                    message.style.color = goodColor;
                    message.innerHTML = "Valid";
                }else{
                    message.style.color = badColor;
                    message.innerHTML = "Invalid"
                }
            }

        </script>
    </div>
</body>
</html>